{% extends 'base.html' %}
{% block content %}
    <div class="title">
        <h2 class="text-center">Gestion des demandes</h2>
    </div>
    <div class="col-md-10 offset-md-1" style="text-align: center;">
        <table id="table_id" class="display">
            <thead>
            <tr>
                <th>Date</th>
                <th>Mission</th>
                <th>Type</th>
                <th>Responsable</th>
                <th>Etat</th>
                <th>Gérer</th>
            </tr>
            </thead>

            <tbody>
            {% for demande in demandes %}
                <tr>
                    <!-- data-order : pour trier correctement par date-->
                    <td data-order="{{ demande.date_debut|date:"Y-m-d H:i" }}">{{ demande.date_debut|date:"d/m/y H:i" }}</td>
                    <td>{{ demande.titre }}</td>
                    <td><span
                            class="badge badge-pill badge-secondary">{% firstof demande.get_type_display "indéfini" %}</span>
                    </td>
                    <td>{{ demande.responsable }}</td>
                    <td class="color_{{ demande.etat }}"><b>{{ demande.get_etat_display }}</b></td>
                    <td>
                        <button onclick="window.location='{% url 'demande' demande.id %}'"
                                class="btn btn-outline-primary">Détails
                        </button>
                    </td>
                </tr>
            {% endfor %}
            </tbody>

            <thead>
            <tr>
                <th>Date</th>
                <th>Mission</th>
                <th>Type</th>
                <th>Responsable</th>
                <th>Etat</th>
                <th>Gérer</th>
            </tr>
            </thead>

        </table>
    </div>

    <script>
        $(document).ready(function () {
            setTimeout(function () {
                location.reload();
            },350000)
            $('#table_id').DataTable({
                "order": [[0, "desc"]], // Tri en fonction de la date par défaut, avec les missions les plus récentes en haut
                aLengthMenu: [
                    [25, 50, -1],
                    [25, 50, "Tout"]
                ],
                language: {
                    processing: "Traitement en cours...",
                    search: "Rechercher&nbsp;:",
                    lengthMenu: "Afficher _MENU_ &eacute;l&eacute;ments",
                    info: "Affichage de l'&eacute;lement _START_ &agrave; _END_ sur _TOTAL_ &eacute;l&eacute;ments",
                    infoEmpty: "Affichage de l'&eacute;lement 0 &agrave; 0 sur 0 &eacute;l&eacute;ments",
                    infoFiltered: "(filtr&eacute; de _MAX_ &eacute;l&eacute;ments au total)",
                    infoPostFix: "",
                    loadingRecords: "Chargement en cours...",
                    zeroRecords: "Aucun &eacute;l&eacute;ment &agrave; afficher",
                    emptyTable: "Aucune donnée disponible dans le tableau",
                    paginate: {
                        first: "Premier",
                        previous: "Pr&eacute;c&eacute;dent",
                        next: "Suivant",
                        last: "Dernier"
                    },
                    aria: {
                        sortAscending: ": activer pour trier la colonne par ordre croissant",
                        sortDescending: ": activer pour trier la colonne par ordre décroissant"
                    }
                }
            });
        });
    </script>
{% endblock %}
